package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.teachcloud.common.bean.params.ApproveUserResult;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 流程节点待审批人 result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/16
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FlowTaskApprovePeopleResult implements Serializable {

    @ApiModelProperty(value = "流程步骤")
    private Integer setup;

    @ApiModelProperty(value = "是否审核，true：已审，false：未审")
    private Boolean approve;

    @ApiModelProperty(value = "流程审批人")
    private List<ApproveUserResult> approveUser;

    @ApiModelProperty(value = "流程提交人")
    private ApproveUserResult submitUser;

    public FlowTaskApprovePeopleResult() {

    }

    public FlowTaskApprovePeopleResult(ApproveUserResult submitUser) {
        this.submitUser = submitUser;
    }

    public FlowTaskApprovePeopleResult(Integer setup, boolean approve, List<ApproveUserResult> approveUser) {
        this.setup = setup;
        this.approve = approve;
        this.approveUser = approveUser;
    }

    public Boolean getApprove() {
        return approve;
    }

    public ApproveUserResult getSubmitUser() {
        return submitUser;
    }

    public void setSubmitUser(ApproveUserResult submitUser) {
        this.submitUser = submitUser;
    }

    public FlowTaskApprovePeopleResult(List<ApproveUserResult> approveUser) {
        this.approveUser = approveUser;
    }

    public Boolean isApprove() {
        return approve;
    }

    public void setApprove(Boolean approve) {
        this.approve = approve;
    }

    public Integer getSetup() {
        return setup;
    }

    public void setSetup(Integer setup) {
        this.setup = setup;
    }

    public List<ApproveUserResult> getApproveUser() {
        return approveUser;
    }

    public void setApproveUser(List<ApproveUserResult> approveUser) {
        this.approveUser = approveUser;
    }
}
